Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view.facelets
Class FaceletsAttachedObjectHandler

    java.lang.Object
      javax.faces.view.facelets.TagHandler
          javax.faces.view.facelets.MetaTagHandler
              javax.faces.view.facelets.DelegatingMetaTagHandler
                  javax.faces.view.facelets.FaceletsAttachedObjectHandler

All Implemented Interfaces:
  AttachedObjectHandler, FaceletHandler

Direct Known Subclasses:
  BehaviorHandler, ConverterHandler, ValidatorHandler

    public abstract class FaceletsAttachedObjectHandler

extends DelegatingMetaTagHandler
implements AttachedObjectHandler

Root class for all tag handlers that represent attached objetcts in a Facelets page.

Field Summary

Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`delegateFactory`

Fields inherited from class javax.faces.view.facelets.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`FaceletsAttachedObjectHandler(TagConfig config)` Call through to super

Method Summary
`void` | `applyAttachedObject(FacesContext ctx, UIComponent parent)` Take the necessary actions to apply the attached object represented by the tag for the concrete subclass of this class to the argument `parent`.
`protected AttachedObjectHandler` | `getAttachedObjectHandlerHelper()` Return the underlying handler for this tag handler instance.
`java.lang.String` | `getFor()` Return the value of the "for" attribute.

Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`apply, applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagHandlerDelegate, getTagId, isDisabled, setAttributes`

Methods inherited from class javax.faces.view.facelets.TagHandler
`getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FaceletsAttachedObjectHandler

    public FaceletsAttachedObjectHandler(TagConfig config)

  Call through to super

  Parameters:
    `config` - configure this handler instance

Method Detail

### getAttachedObjectHandlerHelper

    protected final AttachedObjectHandler getAttachedObjectHandlerHelper()

  Return the underlying handler for this tag handler instance.

### applyAttachedObject

    public final void applyAttachedObject(FacesContext ctx,
                                          UIComponent parent)

  Take the necessary actions to apply the attached object represented by the tag for the concrete subclass of this class to the argument `parent`.

  Specified by:
    `applyAttachedObject` in interface `AttachedObjectHandler`
  Parameters:
    `ctx` - the `FacesContext` for this request
    `parent` - The `UIComponent` to which this attached object must be applied.

### getFor

    public final java.lang.String getFor()

  Return the value of the "for" attribute. This enables the runtime to know to which inner component this attached object should be retargeted.

  Specified by:
    `getFor` in interface `AttachedObjectHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.